Bug 9010 - Merging contacts, unable to select neither as an option in conflict field
: Merging contacts, unable to select neither as an option in conflict field
Status: RESOLVED WORKSFORME
Product: Contacts
General
: 5.0:(10.2010.19-1)
: N900 Maemo
: Unspecified normal with 1 vote (vote)
: ---
Assigned To: unassigned
: contacts-bugs
:
: moreinfo
:
:
  Show dependency tree
 
Reported: 2010-02-12 03:01 UTC by Venomrush
Modified: 2010-08-31 15:27 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Venomrush (reporter) 2010-02-12 03:01:35 UTC
SOFTWARE VERSION:
PR1.1

EXACT STEPS LEADING TO PROBLEM: 
1. Create a contact & call A1 with Nickname A1
2. Create a contact & call A2 with Nickname A2
3. Merge contact A1 & A2

EXPECTED OUTCOME:
Conflict field appears, user able to choose neither A1 nor A2, to leave the
Nickname field blank.

ACTUAL OUTCOME:
Conflict field appears, user have to select either A1 or A2.

REPRODUCIBILITY:
Always
Comment 1 Andre Klapper maemo.org 2010-02-12 13:12:52 UTC
This has been fixed in the internal build version
2010.06-3 (and probably earlier already).
(Note: 2009/2010 is the year, and the number after is the week.)

You can choose from a dropdown now ("Resolve merge conflicts").

A future public update will include the fix. (This is not always already the
next public update.)

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 2 Andre Klapper maemo.org 2010-03-15 20:53:24 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 3 Venomrush (reporter) 2010-05-25 18:33:19 UTC
Not fixed in PR1.2
Comment 4 Andre Klapper maemo.org 2010-06-07 13:26:27 UTC
1. Create a contact John Doe with nick Dad
2. Create a contact John Doe with nick Mum
3. Click one of these contacts
4. From menubar choose "Merge contact"
5. Choose the other John Doe from list
6. Click "Done"
7. Get "Resolve merge conflicts" dialog with "Nickname" dropdown providing both
values (Dad and Mum).

Works fine for me.
Please provide a screenshot (and remove any confidential data before).
Comment 5 Andre Klapper maemo.org 2010-08-31 15:27:34 UTC
Closing this bug report as the issue could not be reproduced. Please feel free
to reopen this report if you can provide better steps to reproduce this.